# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-05-04 01:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("dataset", "0002_auto_20180504_1101"),
        ("metadata", "0001_initial"),
        ("genome", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="targetgene",
            name="ensembl_id",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="associated_targetgenes",
                to="metadata.EnsemblIdentifier",
            ),
        ),
        migrations.AddField(
            model_name="targetgene",
            name="refseq_id",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="associated_targetgenes",
                to="metadata.RefseqIdentifier",
            ),
        ),
        migrations.AddField(
            model_name="targetgene",
            name="scoreset",
            field=models.OneToOneField(
                default=None,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="target",
                to="dataset.ScoreSet",
            ),
        ),
        migrations.AddField(
            model_name="targetgene",
            name="uniprot_id",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="associated_targetgenes",
                to="metadata.UniprotIdentifier",
            ),
        ),
        migrations.AddField(
            model_name="targetgene",
            name="wt_sequence",
            field=models.OneToOneField(
                default=None,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="target",
                to="genome.WildTypeSequence",
                verbose_name="Wild-type Sequence",
            ),
        ),
        migrations.AddField(
            model_name="referencemap",
            name="genome",
            field=models.ForeignKey(
                default=None,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="associated_reference_maps",
                to="genome.ReferenceGenome",
                verbose_name="Reference genome",
            ),
        ),
        migrations.AddField(
            model_name="referencemap",
            name="target",
            field=models.ForeignKey(
                default=None,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="reference_maps",
                to="genome.TargetGene",
                verbose_name="Target",
            ),
        ),
        migrations.AddField(
            model_name="referencegenome",
            name="genome_id",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="associated_referencegenomes",
                to="metadata.GenomeIdentifier",
                verbose_name="Genome assembly identifier",
            ),
        ),
        migrations.AddField(
            model_name="genomicinterval",
            name="reference_map",
            field=models.ForeignKey(
                default=None,
                null=None,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="intervals",
                to="genome.ReferenceMap",
            ),
        ),
    ]
